Loading...
Searching...
No Matches
Halide::Internal::Stmt::Compare Struct Reference

This lets you use a Stmt as a key in a map of the form map<Stmt, Foo, Stmt::Compare>. More...

`#include <Expr.h>`

## Public Member Functions

bool | operator() (const Stmt &a, const Stmt &b) const

## Detailed Description

This lets you use a Stmt as a key in a map of the form map<Stmt, Foo, Stmt::Compare>.

Definition at line 441 of file Expr.h.

## Member Function Documentation

## operator()()

bool Halide::Internal::Stmt::Compare::operator() | ( | const Stmt & | a,
|  | const Stmt & | b ) const

inline

Definition at line 442 of file Expr.h.

References Halide::Internal::IntrusivePtr< T >::ptr, and Halide::Internal::Stmt::Stmt().

The documentation for this struct was generated from the following file:

- src/Expr.h